# 5. Vaicājums: iegūt "Rastra kartes"

Iegūt "RasterMaps" priekš "Field".

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetRasterMaps {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid
    nosaukums
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      farmUuid
      nosaukums
      boundaryUrl
      rasterAnalysisMaps (rasterAnalysisMapUuids: ["<placeholder_of_rasteranalysismap_uuid>"])  {
        uuid
        fieldUuid
        nosaukums
        parameters {
          pixelSize
          index
        }
        geoMaps {
          url
          shortName
          fullName
          description
        }
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/5.-vaicajums-iegut-rastra-kartes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
